<?php

include('pdf/fpdf.php');
session_cache_limiter('private');
session_start();
include("DMMYSQLG.php");
require_once("DF80000.php");
class PDF extends FPDF{
//Cabecera de página
	function Header(){
	    //Logo
	         include("DYIM_VER.php");
	    //Arial bold 14
		$this->SetFont('Arial','B',16);
		//Título
		$this->Cell(225,5,'    !!!BIENVENIDOS¡¡¡  (!!!WELCOME¡¡¡)          FOLIO:'.$_POST['bot'],0,1,'C',0);
		//$this->Cell(225,-5,'!!!BIENVENIDOS¡¡¡  (!!!WELCOME¡¡¡)',0,1,'C',0);
		//Salto de línea
		$this->Ln(0);
		$sql = mysqli_fetch_array(mysqli_query($GLOBALS['con'] ,"select * from valeryus19 where n_reg = '".$_POST['bot']."'"));
		//suma el total de adultos y niño
		//$sqq = mysqli_fetch_array(mysqli_query($GLOBALS['con'] ,"select sum(fnumadu) as adultos from valeryus19 where n_reg = '".$_POST['bot']."'"));
		//$sqw = mysqli_fetch_array(mysqli_query($GLOBALS['con'] ,"select sum(fnummenor) as menores from valeryus19 where n_reg = '".$_POST['bot']."'"));
		//$sdkjk = $sdd['adultos'];
		//$dkfjk = $sqw['fnummenor'];
		//selecciona el estaado y ciudad
		$estado = $sql['festado'];
		$ciudad = $sql['fciudad'];
		$oxo = mysqli_fetch_array(mysqli_query($GLOBALS['con'] ,"select * from geoyos_jc.dxestado where cve_estado = '$estado'"));
		$ogo = mysqli_fetch_array(mysqli_query($GLOBALS['con'] ,"select * from geoyos_jc.dxdelmun where cve_delmun = '$ciudad'"));
		$this->SetFont('Arial','B',6);//establece tamaño de letra
		$this->SetFillColor(192,192,192);
		$this->Cell(6,5,'',0,0,'C',0);
		$this->Cell(100,5,'NOMBRE  (NAME): ' .$sql['fnombre']. ' '.$sql['fapellido'].'',1,0,'L',0);
		
		
		$this->Cell(43,5,'No. ADULTOS:   '.$sql['fnumadu'].'',1,0,'L',0);
		
		$this->Cell(44,5,'No. NIÑOS( menor 8 ):   '.$sql['fnummenor'].'',1,1,'L',0);
		//$this->Cell(-47,5,'TARJETA DE IDENTIFICACION',1,1,'C',1);
		$this->Cell(6,5,'',0,0,'C',0);
		$this->Cell(100,10,' ',1,0,'C',0);
		$this->Cell(43,10,' ',1,0,'C',1);
		$this->Cell(44,10, $sql['ftipocto'].' - '.$sql['fnumcto'].'',1,0,'C',0);
		$this->Cell(-280,5,'DIRECCION (ADDRESS)  /  CALLE  /  NUMERO  /  MUNICIPIO  /  CODIGO POSTAL(ZIP-CODE)',0,0,'C',0);
		$this->SetFont('Arial','B',14);//establece tamaño de letra
		
		$this->Cell(427,5,'HABITACION No:',0,1,'C',0);
		$this->SetFont('Arial','B',6);//establece tamaño de letra
		
		
		$this->Cell(6,5,'',0,0,'C',0);
		$this->Cell(100,5,''.$sql['fdireccion'].'                '.$sql['fgntd'].'                '.$ogo['des_delmun'].'                '.$sql['fcp'].'',0,1,'C',0);
		
		//$this->Cell(200,5,'',0,0,'C',0);
		
		//$this->Cell(40,5,'RECEPCIONISTA',1,1,'C',1);
		//2 LINEA
		
		//$this->cell(47,5,,0,1,'C',0);
		//3 LINEA
		if ($sql['tex4']!=0)
				$tar="" .$sql['tex']."-".$sql['tex4']."";
			else if ($sql['text4']!=0)
			  $tar="".$sql['text1']."-".$sql['text4']."";	
			else if (($sql['tex']!=0)&&($sql['text4']!=0))  
				$tar="" .$sql['tex']."-".$sql['tex4']." | ".$sql['text1']."-".$sql['text4']."";
			else 
			$tar="";
		
		
        //¿COMO SE ENTERO DE NOSOTROS?   (HOW DID YOU FIND ABOUT US?)
		
		//
		
		
		//4 LINEA
		$this->Cell(6,5,'',0,0,'C',0);
		$this->cell(50,5,'ESTADO   (STATE): '.$oxo['des_estado'].'',1,0,'L',0);
		
		
		$this->cell(50,5,'TELEFONO (PHONE): '.$sql['ftelefono'].'',1,0,'C',0);
		
		$this->cell(43,5,'TARIFA RACK',1,0,'C',1);
		//HABITACIONRECEPCIONISTAHORA DE REGISTRO
		
		$this->cell(44,5,'$  ' .$tar.'',1,1,'C',0);
		$this->Cell(6,5,'',0,0,'C',0);
		$this->cell(100,5,'E-MAIL: ' .$sql['fmail'].'',1,0,'L',0);
		
		$this->cell(43,10,'',1,0,'C',0);
		
		$this->cell(44,5,'',0,1,'C',0);
		 
		//5 LINEA
		$this->Cell(6,5,'',0,0,'C',0);
		$this->cell(100,5,'FECHA DE ENTRADA (CHECK INN): ' .chfecha($sql['ffecllegada'],'Y-m-d'). ' ' ,1,0,'L',0);
		
		$this->cell(43,5,'',0,0,'C',0);
		
		$this->cell(44,5,'',0,1,'L',0);
		$this->Cell(6,5,'',0,0,'C',0);
		$this->cell(100,5,'FECHA DE SALIDA (CHECK OUT): ' .chfecha($sql['ffecsalida'],'Y-m-d').' ',1,0,'L',0);
		
		$this->cell(43,5,'FIRMA TITULAR',1,0,'C',1);
		$this->cell(44,5,'FIRMA HUESPED',1,1,'C',1);
		//6 LINEA
		$this->Cell(6,5,'',0,0,'C',0);
		$this->Cell(187,50,'',1,0,'C',0);
		
		$this->SetFont('Arial','B',11);//establece tamaño de letra
		$this->cell(-200,5,'FORMA DE PAGO - PAYMENT FORM',0,1,'C',0);
		$this->Cell(60,5,'',0,0,'C',0);
		$this->Cell(133,45,'',1,0,'C',1);
		$this->SetFont('Arial','B',9);//establece tamaño de letra
		$this->cell(-125,5,'INFORMACION IMPORTANTE PARA USTED',0,0,'C',0);
		$this->SetFont('Arial','I',7);//establece tamaño de letra
		$this->cell(-70,5,'INDIQUE CON UNA "X" EL MEDIO POR ',0,0,'C',0);
		$this->cell(10,5,'',0,1,'L',0);
		
		$this->Cell(10,5,'',0,0,'C',0);
		$this->SetFont('Arial','I',7);//establece tamaño de letra
		$this->cell(52,5,'EL CUAL SE ENTERO DE NOSOTROS',0,0,'L',0);
		$this->SetFont('Arial','B',7);//establece tamaño de letra
		$this->cell(10,5,'-EL HOTEL NO SE HACE RESPONSABLE POR PERDIDAS Y/O VALORES NO REGISTRADOS EN LA CAJA DE',0,1,'L',0);
		
		$this->Cell(10,5,'',0,0,'C',0);
		$this->SetFont('Arial','B',6);//establece tamaño de letra
		$this->cell(52,5,'INTERNET_________    VOLANTE_________',0,0,'L',0);
		$this->SetFont('Arial','B',7);//establece tamaño de letra
		$this->cell(30,5,' SEGURIDAD , POR LO QUE LE SUGERIMOS HACER USO DE LA MISMA.',0,1,'L',0);
		
		$this->Cell(10,5,'',0,0,'C',0);
		$this->SetFont('Arial','B',6);//establece tamaño de letra
		$this->cell(52,5,'POR OTRA PERSONA___________________',0,0,'L',0);
		$this->SetFont('Arial','B',7);//establece tamaño de letra
		$this->cell(30,5,'-LA EMPRESA NO SE HACE RESPONSABLE POR DAÑOS, ROBO TOTAL O PARCIAL DE SU VEHICULO.',0,1,'L',0);
		
		$this->Cell(10,5,'',0,0,'C',0);
		$this->SetFont('Arial','B',6);//establece tamaño de letra
		$this->cell(52,5,'ANUNCIO ESPECTACULAR______________',0,0,'L',0);
		$this->SetFont('Arial','B',7);//establece tamaño de letra
		$this->cell(30,5,'-EN LA FIRMA DE LA PRESENTE TARJETA DE REGISTRO EL HUESPED ACEPTA LOS TERMINOS Y ',0,1,'L',0);
		
		$this->Cell(10,5,'',0,0,'C',0);
		$this->SetFont('Arial','B',6);//establece tamaño de letra
		$this->cell(52,5,'SECCION AMARILLA___________________',0,0,'L',0);
		$this->SetFont('Arial','B',7);//establece tamaño de letra
		$this->cell(30,5,'CONDICIONES ESPECIFICADOS EN EL REGLAMENTO INTERNO DEL HOTEL.',0,1,'L',0);
		
		$this->Cell(10,5,'',0,0,'C',0);
		$this->SetFont('Arial','B',6);//establece tamaño de letra
		$this->cell(52,5,'CONVENIO CON EMPRESAS_____________',0,0,'L',0);
		$this->SetFont('Arial','B',8);//establece tamaño de letra
		$this->cell(30,5,'',0,1,'L',0);
		
		$this->Cell(10,5,'',0,0,'C',0);
		$this->SetFont('Arial','B',6);//establece tamaño de letra
		$this->cell(40,5,'PERIODICO____________________________',0,0,'L',0);
		$this->SetFont('Arial','B',11);//establece tamaño de letra
		$this->cell(30,5,'                                        CHECK-OUT TIME (SALIDA)',0,1,'L',0);
		
		$this->Cell(10,5,'',0,0,'C',0);
		$this->SetFont('Arial','B',6);//establece tamaño de letra
		$this->cell(40,5,'OTROS (ESPECIFIQUE)_________________',0,0,'L',0);
		$this->SetFont('Arial','B',11);//establece tamaño de letra
		$this->cell(30,5,'                                                  13:00 HRS.',0,1,'L',0);
		
		//$this->Cell(10,5,'',0,0,'C',0);
		//$this->SetFont('Arial','B',6);//establece tamaño de letra
		//$this->cell(65,5,'OTROS',0,0,'L',0);
		//$this->SetFont('Arial','B',8);//establece tamaño de letra
		//$this->cell(30,5,'',0,1,'L',0);
        
		
		$this->SetFont('Arial','B',7);//establece tamaño de letra
		
		
		$this->Cell(6,5,'',0,0,'C',0);
		$this->Cell(187,5,'',1,0,'C',0);
		$this->Cell(-250,5,'NOTAS (NOTES): '.$sql['fnorasvip'].'',0,1,'C',0);
		
		
		$this->Cell(6,5,'',0,0,'C',0);
		$this->Cell(187,5,'',1,0,'C',0);
		$this->SetFont('Arial','',10);//establece tamaño de letra
		$this->Cell(-260,5,'HORA/LLEGADA:   '.$sql['fhorallega'].'                        RECEPCIONISTA:   '.$sql['alta_huesped'].'',0,1,'C',0);
		$this->SetFont('Arial','B',9);//establece tamaño de letra
		$this->Cell(6,5,'',0,0,'C',0);
		$this->Cell(247,5,'APLICAN RESTRICCIONES EJ. PROMOCIONES, CANCHAS DEPORTIVAS, SALA DE JUEGOS, SPA, TOBOGANES, GOTCHA',0,0,'L',0);
			
	}	
	//Pie de página
	function Footer()
	{
	//Posición: a 1,5 cm del final
	$this->SetY(-15);
	//Arial italic 8
	$this->SetFont('Arial','I',8);
	//Número de página
	$this->Cell(0,10, $this->PageNo(),0,0,'C');
	}
}

$pdf=new PDF('P','mm','Letter');
$pdf->AddPage();

$pdf->Output("Tarjeta_De_Registro.pdf","D");
//210-->100 ultima actualzacion 30/NOVIEMBRE/2011 TARJETA DE REGISTRO PARA OAXTEPEC 
?> 